# Get Component Details for a given releaseGroupId

Endpoint: GET /rmg/api/releaseGroup/{releaseGroupId}/components
Version: 1.0
Security: x-api-key

## Path parameters:

  - `releaseGroupId` (string, required)

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Response 200 fields (application/json):

  - `components` (array, required)

  - `components.orgIdentifier` (string, required)
    Identifier for the organization.

  - `components.projectIdentifier` (string, required)
    Identifier for the project.

  - `components.services` (object)
    Details about services with filterType and refs.

  - `components.services.filterType` (string)
    Type of filter applied for services.
    Enum: "Equals", "All"

  - `components.services.refs` (array)
    List of service identifiers.

  - `components.pipelines` (object)
    Details about pipelines with filterType and refs.

  - `components.pipelines.filterType` (string)
    Type of filter applied for pipelines.
    Enum: "Equals", "All"

  - `components.pipelines.refs` (array)
    List of pipeline identifiers.

  - `components.environments` (object)
    Details about environments with filterType and refs.

  - `components.environments.filterType` (string)
    Type of filter applied for environments.
    Enum: "Equals", "All"

  - `components.environments.refs` (array)
    List of environment identifiers.

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


